package com.ejie.ab61.model.nora;

/**
 * * T17Comarca  
 * 
 *  
 */

public class T17Comarca implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	// Clave compuesta
	private String id;
	private String provinciaId;
	private String dsO;

	/**
	 * Method 'T17Comarca'.
	 * 
	 */
	public T17Comarca() {
	}

	/**
	 * Method 'T17Comarca'.
	 * 
	 * @param id
	 *            String
	 * @param provinciaId
	 *            String
	 * @param dsO
	 *            String
	 */
	public T17Comarca(String id, String provinciaId, String dsO) {

		this.id = id;
		this.provinciaId = provinciaId;
		this.dsO = dsO;
	}

	/**
	 * Method 'getId'.
	 * 
	 * @return String
	 */

	public String getId() {
		return this.id;
	}

	/**
	 * Method 'setId'.
	 * 
	 * @param id
	 *            String
	 * 
	 */

	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Method 'getProvinciaId'.
	 * 
	 * @return String
	 */

	public String getProvinciaId() {
		return this.provinciaId;
	}

	/**
	 * Method 'setProvinciaId'.
	 * 
	 * @param provinciaId
	 *            String
	 * 
	 */

	public void setProvinciaId(String provinciaId) {
		this.provinciaId = provinciaId;
	}

	/**
	 * Method 'getDsO'.
	 * 
	 * @return String
	 */

	public String getDsO() {
		return this.dsO;
	}

	/**
	 * Method 'setDsO'.
	 * 
	 * @param dsO
	 *            String
	 */

	public void setDsO(String dsO) {
		this.dsO = dsO;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override()
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		// Clave compuesta

		result.append("[ id: ").append(this.id).append(" ]");

		result.append(", [ provinciaId: ").append(this.provinciaId).append(" ]");
		result.append(", [ dsO: ").append(this.dsO).append(" ]");
		result.append("}");
		return result.toString();
	}

}
